TemplateData: Properties "default" and "deprecated" should be InterfaceText instead of string
Closed, ResolvedPublic

Description

Original bug title:

key "default" should be InterfaceText rather than string


"The default value or description thereof."
Needs translation because
a) The default value may depend on the user's chosen language
b) If a description is supplied it should be in the user's language

a) is maybe arguable but b) is definitely an issue.

bzimport added projects: TemplateData, Easy, I18n.Via ConduitNov 22 2014, 1:53 AM
bzimport set Reference to bz52966.
Rillke created this task.Via LegacyAug 17 2013, 11:53 AM
Krinkle added a comment.Via ConduitAug 26 2013, 10:53 PM

Same for the string value of "deprecated".

Revi added a subscriber: Revi.Via WebJan 2 2015, 9:42 AM
Elitre added a subscriber: Elitre.Via WebFeb 17 2015, 8:09 PM
gerritbot added a subscriber: gerritbot.Via ConduitMar 9 2015, 9:45 PM

Change 195451 had a related patch set uploaded (by Mooeypoo):
Make default property interfaceText

https://gerrit.wikimedia.org/r/195451

gerritbot added a project: Patch-For-Review.Via ConduitMar 9 2015, 9:45 PM
Mooeypoo claimed this task.Via WebMar 9 2015, 9:48 PM
Mooeypoo moved this task to Doing on the TemplateData workboard.
Krinkle edited the task description. (Show Details)Via WebMar 9 2015, 9:59 PM
Krinkle set Security to None.
gerritbot added a comment.Via ConduitThu, Apr 2, 7:56 AM

Change 195451 merged by jenkins-bot:
[BREAKING CHANGE] Change "default" property to InterfaceText

https://gerrit.wikimedia.org/r/195451

Jdforrester-WMF closed this task as "Resolved".Via WebThu, Apr 2, 2:46 PM
Jdforrester-WMF set Story Points to 1.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.